package com.gyee.edge.protocol.iec60870.infoelement;

import java.io.DataInputStream;
import java.io.IOException;

/**
 * Represents a scaled value (SVA) information element.
 */
public class IeScaledValue extends IeNormalizedValue {

    /**
     * Scaled value is a 16 bit integer (short) in the range from -32768 to 32767
     *
     * @param value value in the range -32768 to 32767
     */
    public IeScaledValue(int value) {
        super(value);
    }

    IeScaledValue(DataInputStream is) throws IOException {
        super(is);
    }

    @Override
    public String toString() {
        return "Scaled value: " + value;
    }

}
